/**
	Program to test read and write a pnm image 

	Input image must be in PGM format

	Fraga. May 24, 2002
	Fraga. Ene 16, 2014
**/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "matrix.h"
#include "pnm.h"

int hace_trabajo( char *nombre )
{
	MATRIX *I;
	int i, j;
	byte *ptr;

	I = matrix_allocate( 256, 100, sizeof(byte) );
	if( I==NULL ) {
		fprintf( stderr, "ERROR: no hay memoria\n" );
		return ( 1 );
	}

	for( i=0; i<I->rows; i++ ) {
		ptr = (byte *) I->ptr[i];
		for( j=0; j<I->cols; j++ ) *ptr++ = i;
	}

	I->type = 5;
	if ( write_pnm( I, nombre ) != 0 ) {
		fprintf( stderr, "ERROR: Writing!!!\n" );
		exit(1);
	}

	return( 0 );
}


int main( int argc, char *argv[] )
{
	char nombre[32];

	if ( argc < 2 ) { 
		fprintf( stderr, "Args: nombre\n" );
		return 1;
	}

	strncpy( nombre, argv[1], 32 );

	if ( hace_trabajo( nombre )== 0 ) {
		fprintf( stderr, "OK!!!\n" );
	}
	else {
		fprintf( stderr, "ERROR: Hubo algn problema.\n" );
		return ( 2 );
	}

	return 0;
}
